# Note that this is NOT a relocatable package
Name: ee
Version: 0.3.12
Release: alt1
Serial: 1

Summary: The Electric Eyes image viewer application
License: GPL
Group: Graphics
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/ee/%name-%version.tar.bz2
Source1: %name.xpm.bz2
Source2: %name-32.xpm.bz2
Source3: %name-48.xpm.bz2
Url: http://www.gnome.org
Icon: ee-logo.xpm
Requires: imlib >= 1.9.2

# Automatically added by buildreq on Wed Mar 13 2002
BuildRequires: XFree86-devel XFree86-libs esound-devel glib-devel gnome-libs-devel gtk+-devel imlib-devel libORBit-devel libaudiofile-devel libdb1-devel libgnomeprint-devel xpm-devel

%description
The ee package contains the Electric Eyes image viewer for the GNOME desktop
environment. Electric Eyes is primary an image viewer, but it also allows many
types of image manipulations. Electric Eyes can handle almost any type of
image.

Install the ee package if you need an image viewer.

%prep
%setup -q

%build
%configure

%make_build

%install
%makeinstall

# menu
install -m 755 -d $RPM_BUILD_ROOT%_menudir
cat << EOF > $RPM_BUILD_ROOT%_menudir/%name
?package(%name):\
needs="x11"\
section="Multimedia/Graphics"\
title="Electric Eyes"\
longtitle="Electric Eyes image viewer"\
command="%_bindir/ee"\
icon="ee.xpm"\
kde_mimetype="image/gif;image/jpeg;image/png;image/tiff;image/x-xbm;image/x-xpm;"
EOF

# icon
mkdir -p $RPM_BUILD_ROOT/%_miconsdir $RPM_BUILD_ROOT/%_liconsdir  $RPM_BUILD_ROOT/%_iconsdir
bzcat %SOURCE1 > $RPM_BUILD_ROOT/%_miconsdir/%name.xpm
bzcat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.xpm
bzcat %SOURCE3 > $RPM_BUILD_ROOT/%_liconsdir/%name.xpm

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README
%_bindir/*
%_datadir/gnome/help/%name
%_datadir/mime-info/%name.keys
%_menudir/%name
%_iconsdir/%name.xpm
%_miconsdir/%name.xpm
%_liconsdir/%name.xpm

%changelog
* Mon Oct 28 2002 AEN <aen@altlinux.ru> 1:0.3.12-alt1
- rebuilt with gcc-3.2

* Wed Mar 13 2002 Stanislav Ievlev <inger@altlinux.ru> 0.3.12-ipl7mdk
- Rebuilt

* Sat Jan 13 2001 AEN <aen@logic.ru>
- RE  adaptation

* Wed Oct  4 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.12-5mdk
- Correct locale use
- Remove localized description

* Wed Sep  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.12-4mdk
- Use find_lang macro
- add missing icon

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.3.12-3mdk
- automatically added BuildRequires

* Wed Jul 26 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.12-2mdk
- BM + more macros
- menu entry is now embedded in specfile

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.12-1mdk
- new release
- use new macros

* Fri May  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.3.11-5mdk
- added MimeType.

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.11-4mdk
- fixed my menu mistake
- added 32x32 icon
- fixed menu conflict gnome/menu

* Thu Apr 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.11-3mdk
- new groups
- fixed url
- menu entry, with icon

* Thu Nov 04 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- updated to 0.3.11

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMp build/check

* Fri Sep 03 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- updated to 0.3.10

* Fri Aug 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- get latest version from CVS; patch is no longuer needed
- changed Group:
- added icon

* Thu Jul 29 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- %_datadir/gnome/apps/Graphics directory should not be included;
  only the *.desktop files in it
- get latest version from CVS

* Tue Jul 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- add a -l fr to french description.

* Tue Jul 20 1999 G.Colbert <gregus@etudiant.net>
- add fr locale

* Tue May 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Mon Feb 22 1999 Michael Fulbright <drmike@redhat.com>
- unlibtoolize

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.3.8

* Mon Feb 08 1999 Michael Fulbright <drmike@redhat.com>
- version 0.3.7

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- rebuilt for gtk+ 1.1.12

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated for GNOME freeze

* Tue Sep 22 1998 Carsten Haitzler <raster@redhat.com>
- requires imlib 1.8.1
- more minor bug fixes.

* Fri Sep 11 1998 Cristian Gafton <gafton@redhat.com>
- stuff

* Thu Aug 13 1998 Marc Ewing <marc@redhat.com>
- Initial spec file copied from gnome-graphics
